Problema con il kernel 5.9.8-100

Oggi ho aggiornato il kernel alla versione 5.9.8-100 usando l’usuale comando “dnf upgrade”.
Purtroppo, dopo il reboot, noto degli sfarfallamenti saltuari sul video, a seconda della posizione del cursore. Il difetto si presenta in modo molto fastidioso durante riproduzione dei video con Totem (un po’ meno con VLC). Inoltre diverse volte il cursore del mouse procede a scatti sempre più lenti fino al blocco quasi totale. Usando il precedente kernel 5.8.18-200 il problema non si presentava (e non si presenta se al boostrap scelgo tale kernel). Qualcuno ha lo stesso problema?
Grazie.
Recluta

Che sceda grafica hai?

E’ una NVIDIA GeForce GTS 450 (il PC è un desktop).
Recluta

Mi pare di aver capito, ma non ne sono certo, e nemmeno se ci sono novità (non ho schede nVidia), che i driver nVidia non sono ancora compatibili con il kernel 5.9
C’è quindi da aspettare che i maintainer di rpmfusion rilascino dei nuovi pacchetti.
Quindi per ora devi continuare ad usare il kernel 5.8

Grazie per l’informazione. Un dubbio: penso che il mio sistema operativo (F32) non usi i driver proprietari, ma usi i driver nouveau. L’incompatibilità riguarderebbe anche loro?. Grazie
Recluta

Supporre e’ errore di principio.

dai una occhiata ai moduli e controlla

lsmod

1 Mi Piace

Confermo che trattasi di driver nouveau (ho dato, come suggerito, il comando lsmod). L’interrogativo che pongo però rimane: “La compatibilità riguarda anche il driver nouveau?”
Se la risposta è affermativa, mi basterà mantenere il kernel 5.8.18-200 come dice alciregi fino a disponibilità di nuovi pacchetti. Se la risposta è negativa, l’attesa di driver nVidia compatibili con il kernel 5.9.8-200 potrebbe non risolvere il mio problema? Condividete?
Nota: in precedenti versioni di Fedora ho utilizzato anche i driver nVidia proprietari, ma ora vorrei evitare di fare ciò: la mancanza di sincronizzazione della disponibilità dei driver nVidia con l’aggiornamento del kernel mi ha dato sovente dei problemi. Grazie dell’aiuto.
Recluta

Scusate, nel precedente messaggio ho scritto erroneamente “…compatibili con il kernel 5.9.8.200” anziché “compatibili con il kernel 5.9.8-100”.
Recluta

Ciao @recluta io uso con il nuovo kernel i driver nvidia dal repo rpmfusion è non ho riscontrato pronlemi :slightly_smiling_face: , rispetto ad anni fà ho notato che quando ci sono passaggi pesanti di versione del kernel prima arriva l’aggiornamento dei driver poi il kernel , o tante volte aggiornano solo il pacchetto akmod-nvidia :slightly_smiling_face: se nvidia non ha rilasciato un driver nuovo.

No, non credo. Sono due problemi diversi allora.

No @alciregi purtroppo nouveau crea quel problema su determinate schede nvidia (ho fatto delle prove con il mio muletto è non solo ) per eliminare il problema deve passare a nvidia , se nò ha sempre gli stessi problemi. :slightly_smiling_face: per un pò di rilasci del kernel sarà così , ovvio che il problema verrà risolto , però per non tribulare io consiglio sempre un bel akmod-nvidia , è si vive felici ! al mssimo fare il login sotto xorg anzichè wayland :slightly_smiling_face:

E hanno scarse prestazioni , se hai Nvidia sei costretto ai driver proprietari che alla fine non e’ un problema , basta non aggiornare il kernel o passare a quello lts. Non c’e’ ragione di aggiornare il kernel continuamente se non per 3 motivi:

  1. Bachi particolari che ti affliggono e vengono risolti nel rilascio successivo
  2. Falle di sicurezza (su una work station sono piu che trascurabili)
  3. Funzionalita’ per componentistica di ultima generazione (latest and greatest).

Per tutto il resto vale la regola : Kernel buono non si cambia!

P.S. per i pinguini la scelta del pc equivale alla scelta delle mutande : misure. Questo significa evitare componenti esotiche/chiuse e bios strani , per tutto il resto c’e’ microsoft!

Volete il pinguino a tutti i costi? scegliete ThinkPad

Ma sei sicuro? Al lavoro comprarono dei Lenovo non ricordo che modello e


Non funzionava il wireless. Nel lasso di tempo necessario al rilascio di un kernel funzionante, venne installato windows su tutti :smiley:

E comunque il problema coi portatili è che se vuoi essere (quasi) sicuro di andare liscio, devi andare sulla fascia medio alta. Purtroppo, (è vero che le cose sono migliorate rispetto ad anni fa) quelli che trovi, magari scontati, al supermercato son quelli che più spesso montano cose esotiche e componenti funzionanti bene solo con windows. O meglio, ci son più probabilità di cascare male.

Storicamente la linea thinkpad ha sempre strizzato l’occhio al pinguino. Quello che hai menzionato e’ un ideapad :yum:
Roba da “volantino” ovviamente ha un alto rischio di incompatibilita’ , ovviamente scegli sul prezzo e nol sulle caratteristiche. Spesso e volentieri poi ti ritrovi con robe tipo SIS e compagnia , da bestemmioni XD.
Cosa’altro muble muble… ah da evitare come la peste le doppie schede grafiche (intel-nvidia piu di tutte) , meglio solo intel o solo AMD se si vogliono prestazioni elevate senza scornarsi. Poi se si vedono tasti funzione particolari o peggio slide touch e led vari sulla scocca scappa! quella e’ tutta roba esotica come la papaia!
Oh poi lo sappiamo tutti che noi “badgers” siamo sobrii a differenza dei vecchi ubuntari & Co. che sono arlecchinari persi! :rofl:

Mitico @JackDaniels :rofl: :rofl: :rofl:

Vedo che il mio thread ha generato un vivace dibattito sulla scelta tra driver proprietari e i nouveau del kernel.
Ognuno la vede a proprio modo, spiegando le ragioni delle rispettive e rispettabili preferenze. Tale dibattito ho visto essere presente anche nel fedoraforum.org, dove ho trovato la segnalazione di un problema simile al mio.
https://forums.fedoraforum.org/showthread.php?325108-New-kernel-5-9-8-200-video-problems&p=1841175#post1841175
Anche la’ si lamenta l’instabilità del nouveau (anche se la versione citata è successiva alla mia, ovvero la 5.9.8-200, che però penso di riferisca a F33 come si vede da:
https://bodhi.fedoraproject.org/updates/?packages=kernel.

Per F32 mi aspetto che la successiva release del Kernel sia la 5.9.9-100.
https://bodhi.fedoraproject.org/updates/FEDORA-2020-88200d32ad
Ahimè, (come annunciato da @Edmondo) non vedo nessun riferimento al problema del driver della scheda nVidia.
Ma… poco prima di inviare questo messaggio, scopro che il problema in oggetto è già stato in questi giorni segnalato agli sviluppatori (con alta rilevanza).
https://bugzilla.redhat.com/buglist.cgi?bug_status=open&content=nouveau&no_redirect=1&order=Importance&query_format=specific
https://bugzilla.redhat.com/show_bug.cgi?id=1891084

(Per completezza, aggiungo che il mio tool di segnalazione di errori di sistema (abrt/gnome-abrt) ha registrato più di un errore avvenuto nel modulo xorg-x11-drv-nouveau (strano, io uso il display wayland), che tale errore è stato ripristinato ma è impossibile da segnalare, aggiungendo “A kernel problem occured, but your kernel has been tainted (flag:GW. Explanation: W - Taint on warning. Kernel mainteiners are enable to diagnose tained reports”)

Spero che il problema lamentato venga risolto presto. Nel frattempo continuerò ad usare con il kernel precedente 5.8.18-200 (ricordo che anche con il kernel 5.9.8-100 riesco a boostrappare, pur con gli sfarfallamenti video e il pericolo di impuntamenti del cursore). Gli aggiornamenti dei vari pacchetti li faro’ con tale kernel 5.9.8-100.
Grazie dei contributi per me preziosi.
Recluta

Ciao @recluta dammi retta installa gli nvidia :

dnf install kernel-devel kernel-headers akmod-nvidia xorg-x11-drv-cuda ( per generazioni oltre il 2012 ) 

:slightly_smiling_face: personalmente preferirei open , però come dice anche @JackDaniels nvidia richiede i suoi driver , puoi modificare mille parametri , ma alla fine le prestazioni sono sempre le stesse , con nvidia li metti è non tribuli :slightly_smiling_face: con l’ultimo kernel in arrivo ci sarà da ridere perchè ci sono un pò di problemi https://bodhi.fedoraproject.org/updates/FEDORA-2020-88200d32ad come al solito rimanderanno l’uscita :slightly_smiling_face: edit : a quanto pare invece è in repo stabile , domani quando arriva voglio vedere come si comporta , vi tengo aggiornati :slightly_smiling_face:

Come ti ho spiegato poco prima ti conviene restare sul kernel lts , so che da fastidio parlare di LTS su una distribuzione quasi “Bleeding edge”.

https://copr.fedorainfracloud.org/coprs/kwizart/kernel-longterm-5.4/

Forse mi sono spiegato male. Il problema non e’ il “proprietari” ma codice open & closed. I driver INTEL sono proprietari ma open. Nvidia e’ closed e mal si adatta al kernel linkando in maniera assurda (i tecnici sanno spiegarti il casino che creano).

I driver Nouveau sono open and Free ma sfruttano la retroingegneria (il motivo della loro imperfezione). Io non sono contro la proprieta’ ma contro il closed source.